# $Id$
# Authority: dag

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Authen-OATH

Summary: OATH One Time Passwords
Name: perl-%{real_name}
Version: 1.0.0
Release: 1%{?dist}
License: GPL or Artistic
Group: Development/Libraries
URL: http://search.cpan.org/dist/Authen-OATH/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source0: http://search.cpan.org/CPAN/authors/id/S/SI/SIFUKURT/Authen-OATH-v1.0.0.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(Digest::HMAC)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Simple)

%description
The "Authen::OATH" module implements the HOTP and TOTP One Time
Password algorithms as defined by OATH, which is documented at
http://www.openauthentication.org.

All necessary parameters are set by default, though these can be
overridden. Both totp() and htop() have passed all of the test
vectors defined in the RFC documents for TOTP and HOTP.

The methods implemented by this module can verify logins for Google
Authenticator.

%prep
%setup -n %{real_name}-v%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc Changes MANIFEST META.yml README
%doc %{_mandir}/man3/Authen::OATH.3pm*
%dir %{perl_vendorlib}/Authen/
#%{perl_vendorlib}/Authen/OATH/
%{perl_vendorlib}/Authen/OATH.pm

%changelog
* Tue Aug 30 2011 Todd Lyons <tlyons@ivenue.com> - 0:1.0.0-1iv
- Initial package.
